CREATE TABLE [Brands] (
	[BrandID]		int				NOT NULL	IDENTITY(1, 1),
	[ProducerID]	int				NOT NULL,
	[Name]			nvarchar(100)	NOT NULL,

	CONSTRAINT [PK_Brands] PRIMARY KEY ([BrandID]),
	CONSTRAINT [FK_Brands_Producer] FOREIGN KEY ([ProducerID])
		REFERENCES [Producers] ([ProducerID]) ON DELETE CASCADE
)
GO